<h1>Login</h1>

<form [formGroup]="creationForm">
    <mat-form-field>
        <input matInput type="email" placeholder="Email" formControlName="email"/>
    </mat-form-field>

    <mat-form-field>
        <input matInput type="password" placeholder="Mot de passe" formControlName="password"/>
    </mat-form-field>
    <div class="button-display">
        <button class="cancel-button" (click)="onCancel()" mat-button>Annuler</button>
        <button [disabled]="!creationForm.valid" class="validate-button" (click)="onSubmit()" mat-button>Se connecter</button>
    </div>

    <div *ngIf="hasError" class="error">
        {{ errorMessage }}
    </div>

</form>